#
# spec file for package kexec-tools
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           kexec-tools
License:        GPL v2 or later
Group:          System/Kernel
AutoReqProv:    on
Summary:        Tools for fast kernel loading
Version:        1.101
Release:        32.57.13
Source:         %{name}-%{version}.tar.bz2
Source1:        README.SUSE
Patch:          kexec-tools-1.101-kdump10.patch
Patch1:         kexec-tools-testing-20061219.diff
Patch2:         kexec-tools-ppc64-range-fix.diff
Patch3:         kexec-ia64-tools-efi_memmap-overflow-on-large-systems.diff
Patch4:         kexec-longer-cmdline.diff
Patch5:         kexec-ppc64-dynamic-memory-range-update.diff
Patch6:         kexec-help.diff
Patch7:         kexec-tools-add-alignment-parameter.diff
Patch8:         kexec-fix-exclude_range-segv
Patch9:         kexec-tools-warn-no-dma-memory.diff
Patch10:        kexec-tools-ia64memory_ranges-arrays-scalability
Patch11:        kexec-tools.fread-buffer-overflow.patch
Patch12:        kexec-tools-x86_64-relocatable
Patch13:        kexec-tools-kmem.patch
Patch14:        kexec-tools-exclude-gart.diff
Patch15:        kexec-tools-set-down-all-active-interfaces.diff
Url:            http://www.xmission.com/~ebiederm/files/kexec/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libelf
Requires:       kdump
ExclusiveArch:  %ix86 ia64 ppc64 s390 s390x x86_64

%description
Kexec is a user space utiltity for loading another kernel and asking
the currently running kernel to do something with it. A currently
running kernel may be asked to start the loaded kernel on reboot, or to
start the loaded kernel after it panics.



Authors:
--------
    Eric Biederman <ebiederm@xmission.com>
    Albert Herranz
    Jesse Barnes <jbarnes@sgi.com>
    Khalid Aziz <khalid.aziz@hp.com>
    Hariprasad Nellitheertha <hari@in.ibm.com>
    Tim Deegan <tjd21@cl.cam.ac.uk>

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%{?suse_update_config -f}
cp %{SOURCE1} .

%build
autoreconf -fi
./configure --prefix=/ --sbindir=/sbin --libdir=/%_lib
make CPPFLAGS="$RPM_OPT_FLAGS"

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -c -m 0644 kexec/kexec.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING News TODO doc
%doc README.SUSE
%doc %{_mandir}/man*/*
/sbin/*
%ifarch %ix86 x86_64
/%_lib/kexec-tools*
%endif

%changelog
* Wed Feb  2 2011 lchiquitto@suse.de
- set all active network interfaces down before executing the new
  kernel (bnc#652339)
* Wed Aug  5 2009 tiwai@suse.de
- exclude GART regions from kdump (bnc#485581, bnc#500808)
* Mon Apr  6 2009 ro@suse.de
- buildfix: added exclusivearch (no ppc 32bit)
* Fri Jun 13 2008 bwalle@suse.de
- honor the mem kernel parameter when taking dumps (bnc#393324)
* Sat Feb  2 2008 bwalle@suse.de
- fix loading of relocatable kernels on x86_64 (bnc#358208)
- fix buffer overflow on ppc64 (bnc#358217)
* Fri Jan 11 2008 bwalle@suse.de
- fix memory_ranges arrays scalability issue (#353021)
* Thu Oct 11 2007 bwalle@suse.de
- move kdump stuff to a new package "kdump", required to cleanly
  implement saving dumps over network (FATE #302174), support
  to filter kdump images (FATE #302175) and dump support for
  saving no old dumps (FATE #302257)
* Thu Apr 19 2007 bwalle@suse.de
- fix bus error in kdump-helper when device is too small (or
  an unconfigured /dev/mdX) (#263656)
- fix wrong return value (success instead of failure) when device
  file cannot be opened (#263656)
* Fri Apr 13 2007 bwalle@suse.de
- improved documentation of KDUMP_DUMPDEV (#264050)
* Thu Mar 22 2007 bwalle@suse.de
- warn the user if the memory is not DMA-capable on IA64
  (#248106)
* Tue Mar 20 2007 bwalle@suse.de
- fixed script to properly unload kdump on IA64 (where kdump
  kernel is the normal kernel) (#256179)
* Wed Mar 14 2007 tiwai@suse.de
- add detailed description about dump triggering methods to
  README.SUSE (#250134)
* Wed Mar 14 2007 tiwai@suse.de
- improve check of crash kernel in kdump init script (#252632)
* Wed Mar 14 2007 bwalle@suse.de
- fix crash of kexec on PPC64 machine (254421)
* Fri Mar  9 2007 bwalle@suse.de
- added hint that VGA console doesn't work (#253173)
* Thu Feb 15 2007 bwalle@suse.de
- added setting to print the kdump command line to standard output
- small improvement for the outut message while dumping: last
  message always prints 100%% if it was sucessful
* Wed Feb 14 2007 bwalle@suse.de
- added KDUMP_VERBOSE option to print progress output while
  dumping and to add the kexec call to system log
- added maxcpus=1 as default for KDUMP_COMMANDLINE_APPEND on IA64
- added --noio as default for KEXEC_OPTIONS on IA64
* Tue Feb 13 2007 bwalle@suse.de
- align the both start and end address of the ELF core header
  to EFI_PAGE_SIZE (4096) to fix wrong EFI memory maps
  (#214865)
* Mon Feb 12 2007 bwalle@suse.de
- fixed copying, blocksize was wrong (#243058)
- fix help string (from schwab@suse.de)
* Fri Feb  9 2007 bwalle@suse.de
- fixed overflow error that prints the size from being printed
  correctly if the size doesn't fit into an int (#243058)
- improved error handling to make sure that a similar problem as
  in #243058 will output a better error message
* Wed Feb  7 2007 bwalle@suse.de
- don't refuse to deinstall kexec-tools if kdump was not configured
  (#243081)
- fixed documentation error (/var/log/dump instead of
  /var/log/dumps in README.SUSE)
  (#239506)
* Mon Feb  5 2007 tiwai@suse.de
- fixed dynamic memory range allocation on ppc64 (#242075)
* Fri Feb  2 2007 bwalle@suse.de
- fixes overflow on large IA64 systems (#241544)
- added KDUMP_COMMANDLINE_APPEND variable (#241607)
- increase the command line size (#236828)
* Mon Jan 29 2007 olh@suse.de
- do not unload kdump kernel during runlevel changes (#238733)
* Thu Jan 25 2007 bwalle@suse.de
- added documentation for initrd-based kdump saving·
- fixed description of KDUMP_IMMEDIATE_REBOOT·
* Wed Jan 24 2007 tiwai@suse.de
- fix invalid /proc/vmcore on ppc64 (#238078).
- fix the compile options to use RPM_OPT_FLAGS properly.
* Thu Jan 18 2007 bwalle@suse.de
- improved documentation as response to #226736
* Wed Jan 17 2007 bwalle@suse.de
- implemented Initrd based kdump saving
  (#301538)
* Mon Jan  8 2007 tiwai@suse.de
- rebased on kdump10 patch.
- take kexec-tools-testing snapshot-20061219.
  o ia64 support
  o relocatable kernel support
  o lots of cleanups/fixes
- fix manpage and help about -u option (#208710)
- ia64 kdump support (#214865, FATE#301433, FATE#301434)
  o add boot argument "CRASH=1" to indicate the crash environment
    (for kexec'ing with the same kernel)
  o fix kdump init script for ia64, which has only vmlinuz and
    uses the same kernel for kdump
- reduce boot options for kdump kernel (#223500)
* Thu Jul 13 2006 tiwai@suse.de
- fixed the calculation of required disk space in kdump
  init script (#192172)
- fix the wrong usage of crash program in README.SUSE
* Thu Jun 22 2006 tiwai@suse.de
- fix kexec to reserve ACPI NVS area (#179093)
- add more description about chkconfig and kdump service
  (#183017)
* Fri Jun 16 2006 tiwai@suse.de
- add irqpoll boot option for i386 and x86_64 for more robust
  kdump (#183017)
* Thu Jun  1 2006 tiwai@suse.de
- update README.SUSE for more precise description about crash
  and debug kernel.
* Tue May 30 2006 tiwai@suse.de
- ppc64 kdump ELF header fix for power 4 box (#175128).
* Mon May 22 2006 tiwai@suse.de
- added the missing man page for kexec (#175084).
- add sleep after reboot in kdump init script for avoiding
  confliction with script single (#171332)
* Fri May 19 2006 olh@suse.de
- unconditionally add sysrq=1 for kdump boots, nothing to lose
* Fri May 19 2006 olh@suse.de
- remove crashkernel= cmdline also if only the size is given
  handle m as well as M because memparse() handles both
* Tue May  2 2006 tiwai@suse.de
- update/improve README.SUSE
- fix the default value in sysconfig.kdump
- add elevator=deadline to the boot parameter of kdump kernel
  to save memory footprint (#170591)
* Fri Apr 28 2006 olh@suse.de
- use df -P to print all data for a mount point in a single line
  long device node names will cause 2 lines in df output
* Wed Apr 26 2006 olh@suse.de
- linux,platform properties were removed from kernel 2.6.17
  assume non-LPAR if some properties do no exist in the device-tree
  (164993 - LTC23056)
* Wed Apr 26 2006 olh@suse.de
- set /proc/sys/kernel/panic_on_oops to actually trigger a dump
* Wed Mar  8 2006 olh@suse.de
- add --args-linux only on intel
  copy vmcore with --sparse, maybe it saves a few bytes.
* Wed Feb 22 2006 tiwai@suse.de
- updated to kdump7 patch.
* Wed Feb 15 2006 tiwai@suse.de
- fixed gdb-kdump script (#151001)
* Mon Feb 13 2006 tiwai@suse.de
- fix for ppc64 (#149576)
* Sun Feb 12 2006 tiwai@suse.de
- added the system check before dumping
- added README.SUSE
- added gdb-kdump helper script
* Thu Feb  9 2006 tiwai@suse.de
- fixed Default-Start in kdump init script.
- fixed RequiredStart in sysconfig/kdump.
* Wed Feb  8 2006 tiwai@suse.de
- changed the default values of KDUMP_IMMEDIATE_REBOOT and
  KDUMP_RUNLEVEL (#149140).
* Tue Feb  7 2006 tiwai@suse.de
- added missing preun and postun sections.
* Mon Feb  6 2006 tiwai@suse.de
- fixed the messages from kdump to use suse rc macros
- added $KDUMP_RUNLEVEL to /etc/sysconfig/kdump for specifying
  the runlevel to boot kdump kernel.
- added /sbin/rckdump
- fixed a typo in kdump init script
* Fri Feb  3 2006 tiwai@suse.de
- sync with mainstream dump6 patch:
  most of ppc64 patches were merged there.
  new fixes included: vmcore copy fix for x86_64 and ext_mem_k
  calculation fix for i386
- added KEXEC_TRANSFER sysconfig variable for user-defined
  dump action.
* Fri Jan 27 2006 tiwai@suse.de
- added kdump init script and sysconfig.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 olh@suse.de
- update ppc64 kdump support
* Thu Jan  5 2006 tiwai@suse.de
- more fix for ppc64 kdump
- fix malloc size
* Thu Dec 15 2005 tiwai@suse.de
- use the latest kdump patch.
* Mon Dec 12 2005 tiwai@suse.de
- initial version: 1.101
